---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: log-writer-credentials
  namespace: core-grafana-alloy
spec:
  refreshInterval: 30m
  secretStoreRef:
    kind: ClusterSecretStore
    name: scaleway-${default_region}
  target:
    name: log-writer-credentials
  dataFrom:
  - extract:
      key: path:/k8s/${cluster_name}/${cluster_name}-log-writer
      version: latest_enabled
---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: metrics-writer-credentials
  namespace: core-grafana-alloy
spec:
  refreshInterval: 30m
  secretStoreRef:
    kind: ClusterSecretStore
    name: scaleway-${default_region}
  target:
    name: metrics-writer-credentials
  dataFrom:
  - extract:
      key: path:/k8s/${cluster_name}/${cluster_name}-metrics-writer
      version: latest_enabled
